Package org.eclipse.emf.spi.cdo

# Interface CDOTransactionStrategy

public interface CDOTransactionStrategy
If the meaning of this type isn't clear, there really should be more of a description here...

Since:
  2.0
Author:
  Simon McDuff
No Implement
  This interface is not intended to be implemented by clients.
No Extend
  This interface is not intended to be extended by clients.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final CDOTransactionStrategy`
`DEFAULT`

## Method Summary

Modifier and Type
Method
Description
`CDOCommitInfo`
`commit(InternalCDOTransaction transaction, IProgressMonitor progressMonitor)`
TODO Better use an `OMMonitor`?
`void`
`rollback(InternalCDOTransaction transaction, InternalCDOUserSavepoint savepoint)`
`InternalCDOUserSavepoint`
`setSavepoint(InternalCDOTransaction transaction)`
`void`
`setTarget(InternalCDOTransaction transaction)`
`void`
`unsetTarget(InternalCDOTransaction transaction)`

## Field Details

### DEFAULT

static final CDOTransactionStrategy DEFAULT

## Method Details

### setTarget

void setTarget(InternalCDOTransaction transaction)

### unsetTarget

void unsetTarget(InternalCDOTransaction transaction)

### commit

CDOCommitInfo commit(InternalCDOTransaction transaction, IProgressMonitor progressMonitor) throws Exception
TODO Better use an `OMMonitor`?

Throws:
  `Exception`
Since:
  3.0

### rollback

void rollback(InternalCDOTransaction transaction, InternalCDOUserSavepoint savepoint)

Since:
  3.0

### setSavepoint

InternalCDOUserSavepoint setSavepoint(InternalCDOTransaction transaction)

Since:
  3.0